/// <reference types="react" />
import React from 'react';

interface CommonProps {
    color?: string | string[];
    size?: "small" | "medium" | "large";
    style?: React.CSSProperties;
    text?: string | boolean;
    textColor?: string;
}

interface CircularProgressProps extends CommonProps {
    /**
     * variant of circular loader. Defaults to `disc`.
     */
    variant?: "dotted" | "bubble-dotted" | "disc" | "split-disc";
}

declare const CircularProgress: (props: CircularProgressProps) => JSX.Element | null;

interface AtomProps extends CommonProps {
}

declare const Atom: (props: AtomProps) => JSX.Element;

interface CommetProps extends CommonProps {
}

declare const Commet: (props: CommetProps) => JSX.Element;

interface FourSquareProps extends CommonProps {
}

declare const FourSquare: (props: FourSquareProps) => JSX.Element;

interface MosaicProps extends CommonProps {
}

declare const Mosaic: (props: MosaicProps) => JSX.Element;

interface RipleProps extends CommonProps {
}

declare const Riple: (props: RipleProps) => JSX.Element;

interface SeekProps extends CommonProps {
}

declare const Seek: (props: SeekProps) => JSX.Element;

export { Atom, CircularProgress, Commet, FourSquare, Mosaic, Riple, Seek, CircularProgress as default };
